PDA

View Full Version : SLES 15 Where is libwebpmux?



jmroth
28-Mar-2019, 19:03
Hi,

Anyone know which repository that I am apparently not currently using contains libwebpmux?

Thx


# zypper in GraphicsMagick
Refreshing service 'SMT-http_smt'.
Loading repository data...
Reading installed packages...
Resolving package dependencies...

Problem: nothing provides libwebpmux.so.2()(64bit) needed by libGraphicsMagick-Q16-3-1.3.29-bp150.1.2.x86_64
Solution 1: do not install GraphicsMagick-1.3.29-bp150.2.15.1.x86_64
Solution 2: break libGraphicsMagick-Q16-3-1.3.29-bp150.1.2.x86_64 by ignoring some of its dependencies

Choose from above solutions by number or cancel [1/2/c] (c):

malcolmlewis
28-Mar-2019, 21:28
Hi,

Anyone know which repository that I am apparently not currently using contains libwebpmux?

Thx


# zypper in GraphicsMagick
Refreshing service 'SMT-http_smt'.
Loading repository data...
Reading installed packages...
Resolving package dependencies...

Problem: nothing provides libwebpmux.so.2()(64bit) needed by libGraphicsMagick-Q16-3-1.3.29-bp150.1.2.x86_64
Solution 1: do not install GraphicsMagick-1.3.29-bp150.2.15.1.x86_64
Solution 2: break libGraphicsMagick-Q16-3-1.3.29-bp150.1.2.x86_64 by ignoring some of its dependencies

Choose from above solutions by number or cancel [1/2/c] (c):

Hi
It is in;



zypper if libwebpmux2


Information for package libwebpmux2:
------------------------------------
Repository : SLE-Module-Desktop-Applications15-Pool for x86_64

jmroth
29-Mar-2019, 16:20
Ok, here is the next missing dependency



Problem: nothing provides libwmflite-0.2.so.7()(64bit) needed by libGraphicsMagick-Q16-3-1.3.29-bp150.1.2.x86_64
Solution 1: do not install GraphicsMagick-1.3.29-bp150.2.15.1.x86_64
Solution 2: break libGraphicsMagick-Q16-3-1.3.29-bp150.1.2.x86_64 by ignoring some of its dependencies


zypper lr


# | Alias | Name | Enabled | GPG Check | Refresh
---+---------------------------------------------------------------------+---------------------------------------------+---------+-----------+--------
1 | SMT-http:SLE-Module-Basesystem15-Pool | SLE-Module-Basesystem15-Pool | Yes | (r ) Yes | No
2 | SMT-http:SLE-Module-Basesystem15-Updates | SLE-Module-Basesystem15-Updates | Yes | (r ) Yes | Yes
3 | SMT-http:SLE-Module-Desktop-Applications15-Pool | SLE-Module-Desktop-Applications15-Pool | Yes | (r ) Yes | No
4 | SMT-http:SLE-Module-Desktop-Applications15-Updates | SLE-Module-Desktop-Applications15-Updates | Yes | (r ) Yes | Yes
5 | SMT-http:SLE-Module-DevTools15-Pool | SLE-Module-DevTools15-Pool | Yes | (r ) Yes | No
6 | SMT-http:SLE-Module-DevTools15-Updates | SLE-Module-DevTools15-Updates | Yes | (r ) Yes | Yes
7 | SMT-http:SLE-Module-Legacy15-Pool | SLE-Module-Legacy15-Pool | Yes | (r ) Yes | No
8 | SMT-http:SLE-Module-Legacy15-Updates | SLE-Module-Legacy15-Updates | Yes | (r ) Yes | Yes
9 | SMT-http:SLE-Module-Packagehub-Subpackages15-Pool | SLE-Module-Packagehub-Subpackages15-Pool | Yes | (r ) Yes | No
10 | SMT-http:SLE-Module-Packagehub-Subpackages15-Updates | SLE-Module-Packagehub-Subpackages15-Updates | Yes | (r ) Yes | Yes
11 | SMT-http:SLE-Module-Server-Applications15-Pool | SLE-Module-Server-Applications15-Pool | Yes | (r ) Yes | No
12 | SMT-http:SLE-Module-Server-Applications15-Updates | SLE-Module-Server-Applications15-Updates | Yes | (r ) Yes | Yes
13 | SMT-http:SLE-Module-Web-Scripting15-Pool | SLE-Module-Web-Scripting15-Pool | Yes | (r ) Yes | No
14 | SMT-http:SLE-Module-Web-Scripting15-Updates | SLE-Module-Web-Scripting15-Updates | Yes | (r ) Yes | Yes
15 | SMT-http:SLE-Product-SLES15-Pool | SLE-Product-SLES15-Pool | Yes | (r ) Yes | No
16 | SMT-http:SLE-Product-SLES15-Updates | SLE-Product-SLES15-Updates | Yes | (r ) Yes | Yes
17 | SMT-http:SLE15-Installer-Updates | SLE15-Installer-Updates | No | ---- | ----
18 | SMT-http:SUSE-PackageHub-15-Pool | SUSE-PackageHub-15-Pool | Yes | (r ) Yes | No
19 | SMT-http:SUSE-PackageHub-15-Standard-Pool | SUSE-PackageHub-15-Standard-Pool | Yes | (r ) Yes | No

malcolmlewis
29-Mar-2019, 16:36
Ok, here is the next missing dependency



Problem: nothing provides libwmflite-0.2.so.7()(64bit) needed by libGraphicsMagick-Q16-3-1.3.29-bp150.1.2.x86_64
Solution 1: do not install GraphicsMagick-1.3.29-bp150.2.15.1.x86_64
Solution 2: break libGraphicsMagick-Q16-3-1.3.29-bp150.1.2.x86_64 by ignoring some of its dependencies


zypper lr


# | Alias | Name | Enabled | GPG Check | Refresh
---+---------------------------------------------------------------------+---------------------------------------------+---------+-----------+--------
1 | SMT-http:SLE-Module-Basesystem15-Pool | SLE-Module-Basesystem15-Pool | Yes | (r ) Yes | No
2 | SMT-http:SLE-Module-Basesystem15-Updates | SLE-Module-Basesystem15-Updates | Yes | (r ) Yes | Yes
3 | SMT-http:SLE-Module-Desktop-Applications15-Pool | SLE-Module-Desktop-Applications15-Pool | Yes | (r ) Yes | No
4 | SMT-http:SLE-Module-Desktop-Applications15-Updates | SLE-Module-Desktop-Applications15-Updates | Yes | (r ) Yes | Yes
5 | SMT-http:SLE-Module-DevTools15-Pool | SLE-Module-DevTools15-Pool | Yes | (r ) Yes | No
6 | SMT-http:SLE-Module-DevTools15-Updates | SLE-Module-DevTools15-Updates | Yes | (r ) Yes | Yes
7 | SMT-http:SLE-Module-Legacy15-Pool | SLE-Module-Legacy15-Pool | Yes | (r ) Yes | No
8 | SMT-http:SLE-Module-Legacy15-Updates | SLE-Module-Legacy15-Updates | Yes | (r ) Yes | Yes
9 | SMT-http:SLE-Module-Packagehub-Subpackages15-Pool | SLE-Module-Packagehub-Subpackages15-Pool | Yes | (r ) Yes | No
10 | SMT-http:SLE-Module-Packagehub-Subpackages15-Updates | SLE-Module-Packagehub-Subpackages15-Updates | Yes | (r ) Yes | Yes
11 | SMT-http:SLE-Module-Server-Applications15-Pool | SLE-Module-Server-Applications15-Pool | Yes | (r ) Yes | No
12 | SMT-http:SLE-Module-Server-Applications15-Updates | SLE-Module-Server-Applications15-Updates | Yes | (r ) Yes | Yes
13 | SMT-http:SLE-Module-Web-Scripting15-Pool | SLE-Module-Web-Scripting15-Pool | Yes | (r ) Yes | No
14 | SMT-http:SLE-Module-Web-Scripting15-Updates | SLE-Module-Web-Scripting15-Updates | Yes | (r ) Yes | Yes
15 | SMT-http:SLE-Product-SLES15-Pool | SLE-Product-SLES15-Pool | Yes | (r ) Yes | No
16 | SMT-http:SLE-Product-SLES15-Updates | SLE-Product-SLES15-Updates | Yes | (r ) Yes | Yes
17 | SMT-http:SLE15-Installer-Updates | SLE15-Installer-Updates | No | ---- | ----
18 | SMT-http:SUSE-PackageHub-15-Pool | SUSE-PackageHub-15-Pool | Yes | (r ) Yes | No
19 | SMT-http:SUSE-PackageHub-15-Standard-Pool | SUSE-PackageHub-15-Standard-Pool | Yes | (r ) Yes | No

Hi
That one is in the Workstation Extension (or from the SLED 15 DVD/Pool ;) );


Information for package libwmf-0_2-7:
-------------------------------------
Repository : SLE-Product-WE15-Pool for x86_64
Name : libwmf-0_2-7




libwmf-0_2-7-0.2.8.4-242.3.x86_64 SLE-SDK12-SP4-Pool for x86_64 SLED
libwmf-0_2-7-0.2.8.4-2.30.x86_64 SLE-Product-WE15-Pool for x86_64 SLED
libwmf-0_2-7-0.2.8.4-2.30.x86_64 SLE-Product-WE15-Pool for x86_64
libwmf-0_2-7-0.2.8.4-242.3.x86_64 SLED12-SP4-Pool for x86_64